.tile-component {
    transition: scale linear 200ms, filter linear 200ms;
    &:hover {
        scale: 103%;
        filter: drop-shadow(4px 4px 8px #00000042);
    }
    &:active {
        scale: 101%;
        filter: drop-shadow(4px 4px 10px #00000099);
    }
}

.pop-inn{
    opacity: 0;
}

@keyframes pop-inn {
    from { 
        transform: scale(0,0);
        opacity: 0;
    }
    30% { 
        transform: scale(0.95, 1.05);
        opacity: 1;
    }
    45% { transform: scale(1.05, 0.95); }
    60% { transform: scale(0.95, 1.05); }
    75% { transform: scale(1.03, 0.97); }
    90% { transform: scale(0.99, 1.01); }
    to { 
        transform: scale(1, 1);
        opacity: 1;
    }
}

.no-pointer {
    pointer-events: none;
    user-select: none;
}

.taxi-trip-tile{
    transition: scale 150ms linear, border 150ms linear;
    border: #0000 solid 2px;
    &:hover{
        scale: 105%;
        border: #0004 solid 2px;
    }
}

.nav-menu-items {
    cursor: pointer;
    border-radius: 8px;
    transition: background-color linear 200ms;
    &:hover{
        background-color: #0003 !important;
    }
}